:root {
  /* https://github.com/YV31/gruvbox-css/blob/master/src/gruvbox-light.css */
  --bg_h: #f9f5d7;
  --bg: #fbf1c7;
  --bg_s: #f2e5bc;
  --bg1: #ebdbb2;
  --bg2: #d5c4a1;
  --bg3: #bdae93;
  --bg4: #a89984;

  --fg: #282828;
  --fg1: #3c3836;
  --fg2: #504945;
  --fg3: #665c54;
  --fg4: #7c6f64;

  --red: #9d0006;
  --green: #79740e;
  --yellow: #b57614;
  --blue: #076678;
  --purple: #8f3f71;
  --aqua: #427b58;
  --orange: #af3a03;
  --gray: #928374;

  --red-dim: #cc2412;
  --green-dim: #98971a;
  --yellow-dim: #d79921;
  --blue-dim: #458598;
  --purple-dim: #b16286;
  --aqua-dim: #689d6a;
  --orange-dim: #d65d0e;
  --gray-dim: #7c6f64;

  --hard-blue: #41adff;

  --body-color: var(--fg1);
  --body-background-color: var(--bg);
  --header-color: var(--orange);
  --input-color: var(--fg1);
  --input-background-color: var(--bg1);
  --input-placeholder-color: var(--bg4);
  --link-color: var(--hard-blue);
  --code-background-color: var(--bg1);
  --code-color: var(--body-color);
  --table-stripe-color: var(--bg4);
}

@media (prefers-color-scheme: dark) {
  :root {
    /* https://github.com/YV31/gruvbox-css/blob/master/src/gruvbox-dark.css */
    --bg_h: #1d2021;
    --bg: #282828;
    --bg_s: #32302f;
    --bg1: #3c3836;
    --bg2: #504945;
    --bg3: #665c54;
    --bg4: #7c6f64;

    --fg: #fbf1c7;
    --fg1: #ebdbb2;
    --fg2: #d5c4a1;
    --fg3: #bdae93;
    --fg4: #a89984;

    --red: #fb4934;
    --green: #b8bb26;
    --yellow: #fabd2f;
    --blue: #83a598;
    --purple: #d3869b;
    --aqua: #8ec07c;
    --gray: #928374;
    --orange: #fe8019;

    --red-dim: #cc2412;
    --green-dim: #98971a;
    --yellow-dim: #d79921;
    --blue-dim: #458588;
    --purple-dim: #b16286;
    --aqua-dim: #689d6a;
    --gray-dim: #a89984;
    --orange-dim: #d65d0e;
  }
}
